Subject: bug#66295: closed (Re: bug#66295: [DOCUMENTATION] guix shell with graphical software on Xorg)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Oct 2023 12:57:02 +0000

Your bug report

#66295: [DOCUMENTATION] guix shell with graphical software on Xorg

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66295: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66295
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66295: [DOCUMENTATION] guix shell with graphical software on Xorg
From: Mathieu Othacehe <[email-masked]>
To: Timothee Mathieu <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Oct 2023 14:55:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> I solved the problem by sharing .Xauthority and exposing the associated environment variable, and then it works:
> guix shell --container --network --no-cwd ungoogled-chromium  \

Thanks for reporting! As there is no patch here I will close this
ticket, however ...

>   --preserve='^DISPLAY$' --preserve='^XAUTHORITY$' --share=$HOME/.Xauthority -- chromium
> I think this should be added to the documentation to help people that want to use guix shell with Xorg.

... that seems like a nice idea. If you can send a patch and open a new
ticket that would be great :).

Mathieu

Subject: [DOCUMENTATION] guix shell with graphical software on Xorg
From: Timothee Mathieu <[email-masked]>
To: [email-masked]
Date: Sun, 1 Oct 2023 14:05:10 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, 

I am a guix beginner, slowly learning to use the shell command to make containers. 
I tried to use the command from the documentation ( [ https://guix.gnu.org/manual/en/html_node/Invoking-guix-shell.html | https://guix.gnu.org/manual/en/html_node/Invoking-guix-shell.html ] ) to launch chromium with the advised command 
guix shell --container --network --no-cwd ungoogled-chromium \
  --preserve='^DISPLAY$' -- chromium 
but with Xorg this does not seem to work due to permission error, the error is "Authorization required, but no authorization protocol specified". 
I solved the problem by sharing .Xauthority and exposing the associated environment variable, and then it works: 
guix shell --container --network --no-cwd ungoogled-chromium  \ 
--preserve='^DISPLAY$' --preserve='^XAUTHORITY$' --share=$HOME/.Xauthority -- chromium 
I think this should be added to the documentation to help people that want to use guix shell with Xorg. 

Best regards, 
Timothée Mathieu